Draft Array/cs: Difference between revisions

From FreeCAD Documentation
(Created page with "Pro polární pole: * {{PropertyData|Osy}}: Kolmý směr kruhového pole * {{PropertyData|Střed}}: Středový bod pole * {{PropertyData|Úhel}}: Úhel, který má být kopiem...")
(Updating to match new version of source page)
 
(43 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>
{{GuiCommand|Name=Draft_Array|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft -> Array}}

{{Docnav
|
|
|[[Draft_Workbench|Draft]]
|IconL=
|IconR=
|IconC=Workbench_Draft.svg
}}

{{VeryImportantMessage|THIS COMMAND IS OBSOLETE<br>
It is not be available in {{VersionPlus|0.21}}. Use [[Draft_OrthoArray|Draft OrthoArray]], [[Draft_PolarArray|Draft PolarArray]] or [[Draft_CircularArray|Draft CircularArray]] instead.}}

<div class="mw-translate-fuzzy">
{{GuiCommand/cs|Name=Draft_Array|Name/cs=Kreslení Pole|Workbenches=[[Draft_Workbench/cs|Kreslení]], [[Arch_Workbench/cs|Architektura]]|MenuLocation=Draft → Array|SeeAlso=[[Draft PathArray/cs|PathArray]]}}
</div>


<span id="Description"></span>
<div class="mw-translate-fuzzy">
==Popis==
==Popis==
Nástroj Pole vytváří ortogonální (3-osy) nebo polární pole z vybraných objektů. Není-li vybrán žádný objekt, budete vyzváni k jeho výběru.
Nástroj Pole vytváří ortogonální (3-osy) nebo polární pole z vybraných objektů. Není-li vybrán žádný objekt, budete vyzváni k jeho výběru.
</div>


The [[Image:Draft_Array.svg|24px]] '''Draft Array''' command creates an orthogonal (3-axes) array from a selected object. The created array can be turned into a [[Draft_PolarArray|polar array]] or a [[Draft_CircularArray|circular array]] by changing its {{PropertyData|Array Type}} property.
[[Image:Draft_Array_example.jpg|400px]]


The command can be used on 2D objects created with the [[Draft_Workbench|Draft Workbench]] or [[Sketcher_Workbench|Sketcher Workbench]], but also on many 3D objects such as those created with the [[Part_Workbench|Part Workbench]], [[PartDesign_Workbench|PartDesign Workbench]] or [[Arch_Workbench|Arch Workbench]].
==Použití==
# Vyberte objekt, ze kterého chcete udělat pole
# Stiskněte tlačítko {{KEY|[[Image:Draft Array.png|16px]] [[Draft Array|Pole]]}}


This command is now obsolete. Use the [[Draft_OrthoArray|Draft OrthoArray]], [[Draft_PolarArray|Draft PolarArray]] or [[Draft_CircularArray|Draft CircularArray]] command instead.
==Volby==
* Pole začíná defaultně jako ortogonální, ve vlastnostech můžete změnit mód na polární.


==Vlastnosti==
==Usage==
* {{PropertyData|Typ pole}}: Specifikuje typ pole ortogonální nebo polární


<div class="mw-translate-fuzzy">
Pro ortogonální pole:
==Použití==
* {{PropertyData|Interval X}}: Interval mezi kopiemi na první ose
# Vyberte objekt, ze kterého chcete udělat pole
* {{PropertyData|Interval Y}}: Interval mezi kopiemi na druhé ose
# Stiskněte tlačítko {{KEY|[[Image:Draft Array.png|16px]] [[Draft Array/cs|Pole]]}}.
* {{PropertyData|Interval Z}}: Interval mezi kopiemi na třetí ose
(pozn.překl.: Pro začátečníky jako jsem já - defaultně jsou intervaly X,Y a Z nastaveny na 1. Když pracujete v mm, tak to vypadá jakoby se pole nevytvořilo, protože se elementy překrývají. Je potřeba alespoň jeden index zvýšit minimálně na rozměr základního prvku.)
* {{PropertyData|Number X}}: Počet kopií na první ose
</div>
* {{PropertyData|Number Y}}: Počet kopií na druhé ose
* {{PropertyData|Number Z}}: Počet kopií na třetí ose


==Properties==
Pro polární pole:

* {{PropertyData|Osy}}: Kolmý směr kruhového pole
See [[Draft_OrthoArray#Properties|Draft OrthoArray]].
* {{PropertyData|Střed}}: Středový bod pole
* {{PropertyData|Úhel}}: Úhel, který má být kopiemi pokryt
* {{PropertyData|Počet kopií}}: Počet kopií


==Scripting==
==Scripting==
The Array tool can by used in [[macros]] and from the python console by using one of the following functions.


See [[Draft_OrthoArray#Scripting|Draft OrthoArray]].
For rectangular array:
<syntaxhighlight>
array (objectslist,xvector,yvector,xnum,ynum,[zvector,znum])
</syntaxhighlight>
For polar array:
<syntaxhighlight>
array (objectslist,center,totalangle,totalnum)
</syntaxhighlight>
* Creates an array of the objects contained in list (that can be an object or a list of objects) with, in case of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, and same for y direction with yvector and ynum. In case of polar array, center is a vector, totalangle is the angle to cover (in degrees) and totalnum is the number of objects, including the original.
* This function produces standalone copies of the base object(s)


Or


{{Docnav
For rectangular array:
|
<syntaxhighlight>
|
makeArray (object,xvector,yvector,xnum,ynum)
|[[Draft_Workbench|Draft]]
</syntaxhighlight>
|IconL=
For polar array:
|IconR=
<syntaxhighlight>
|IconC=Workbench_Draft.svg
makeArray (object,center,totalangle,totalnum)
}}
</syntaxhighlight>
* Creates an array of the given object with, in case of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, and same for y direction with yvector and ynum. In case of polar array, center is a vector, totalangle is the angle to cover (in degrees) and totalnum is the number of objects, including the original.
* The result of this function is a parametric Draft Array object.


{{Draft Tools navi{{#translation:}}}}
Example:
{{Userdocnavi{{#translation:}}}}
<syntaxhighlight>
import FreeCAD,Draft
Draft.array(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,0,0),FreeCAD.Vector(0,2,0),2,2)

</syntaxhighlight>
{{clear}}
<languages/>

Latest revision as of 08:25, 20 May 2023

THIS COMMAND IS OBSOLETE
It is not be available in version 0.21 and above. Use Draft OrthoArray, Draft PolarArray or Draft CircularArray instead.

Kreslení Pole

Umístění Menu
Draft → Array
Pracovní stoly
Kreslení, Architektura
Výchozí zástupce
Nikdo
Představen ve verzi
-
Viz také
PathArray

Popis

Nástroj Pole vytváří ortogonální (3-osy) nebo polární pole z vybraných objektů. Není-li vybrán žádný objekt, budete vyzváni k jeho výběru.

The Draft Array command creates an orthogonal (3-axes) array from a selected object. The created array can be turned into a polar array or a circular array by changing its ÚdajeArray Type property.

The command can be used on 2D objects created with the Draft Workbench or Sketcher Workbench, but also on many 3D objects such as those created with the Part Workbench, PartDesign Workbench or Arch Workbench.

This command is now obsolete. Use the Draft OrthoArray, Draft PolarArray or Draft CircularArray command instead.

Usage

Použití

  1. Vyberte objekt, ze kterého chcete udělat pole
  2. Stiskněte tlačítko Pole.

(pozn.překl.: Pro začátečníky jako jsem já - defaultně jsou intervaly X,Y a Z nastaveny na 1. Když pracujete v mm, tak to vypadá jakoby se pole nevytvořilo, protože se elementy překrývají. Je potřeba alespoň jeden index zvýšit minimálně na rozměr základního prvku.)

Properties

See Draft OrthoArray.

Scripting

See Draft OrthoArray.